ROS Resources: Documentation | Support | Discussion Forum | Service Status | Q&A answers.ros.org

Apresentação e Instalação do ROS

Saudações galera,

Me chamo Leonardo, sou recém formado em engenharia de controle e automação pela Wyden Area 1(Salvador- BA).

Ultimamente estava procurando algo para aprender mais a respeito de robotica (queria sair um pouco do básico) e ai me deparei com o ROS. Desde então estou bastante empolgado para entender e utilizar esta ferramenta.

Criei uma maquina virtual pelo VirtualBOX e instalei o Ubuntu 18.04.2 LTS nela.

Estou seguindo este tutorial para instalar a versão mais nova do ROS:
http://wiki.ros.org/melodic/Installation/Ubuntu

porem quando chego na linha
sudo apt install ros-melodic-desktop-full

aparece uma mensagem de erro dizendo que o pacote não existe. Alguem pode me ajudar? desde ja estou agradecido.

Olá @leonardo_lima seja bem vindo ao grupo, também sou de Salvador, voce chegou a setar a sua lista de repositórios para conter os repositórios do ROS? Desculpe a resposta tarde, esses dias estava sem acesso ao site.

Depois de muitos testes tambem estou acreditando que o problema esta nos repositorios. Como posso configurar a lista de repositorios corretamente? (sou iniciante em Linux)

Obrigado pela resposta

Você utilizou esse comando?

sudo sh -c ‘echo “deb http://packages.ros.org/ros/ubuntu $(lsb_release -sc) main” > /etc/apt/sources.list.d/ros-latest.list’

sim, aqui está o print com os comandos que eu usei e também os erros que apareceram.Captura%20de%20tela%20de%202019-03-16%2000-45-50

ps: Istalei o SO em um pc, sem usar VM e o erro é exatamente o mesmo.

Eu acho que o melhor pra você seria usar Ubuntu 18.04 (bionic) caso você queira usar melodic para nao ter problemas com a configuracao dos repositorios.

Eu acho que ele ja esta usando a 18.04 Musa, não é @leonardo_lima?

É que eu vi cosmic na imagem, esse seria o 18.10 Cosmic Cuttlefish

vc estava certa, estava com a versao 18.10. Na hora de criar o pendrive bootavel terminei escolhendo a iso errada…

bem, consegui instalar porem quando tento rodar o turtlesim esta dando erro. postei a foto com os detalhes. sera que instalei algo errado ou essa biblioteca eh algo fora do ROS? obrigado pela ajudaCaptura%20de%20tela%20de%202019-03-17%2000-51-45

Você pode tentar instalar o pacote abaixo para ver se soluciona o problema

 sudo apt-get install libqt5widgets5 

k4n3d4@k4n3d4-desktop:~$ sudo apt-get install libqt5widgets5
[sudo] senha para k4n3d4:
Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
libqt5widgets5 is already the newest version (5.9.5+dfsg-0ubuntu1).
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.

Este foi o resultado porem o erro continua o mesmo

vc deu um source no path do ros?

echo “source /opt/ros/melodic/setup.bash” >> ~/.bashrc
source ~/.bashrc

Ja fiz isso. acho q o problema foi que algo corrompeu qnd instalei pq eu fiz exatamente o msm procedimento em uma VM e funcionou perfeitamente. Hoje consegui fazer um hello world em Python acompanhando o livro “learning-robotics-using-python-2nd” (n sei se posso postar ele aqui para outros inciantes baixarem mas esse eh um otimo livro). Gracas a ajuda de vcs estou conseguindo caminhar com o ROS, obrigado

2 Likes

Muito bom! Precisando de alguma coisa só falar

1 Like

Eu estou cursando engenharia de controle e automação agora e descobri o ros também… Tive problemas com a versão do python apenas. Vou tentar reinstalar em uma VM essa semana, espero que funcione! :smile:

1 Like